Skip to content

List Chargers

Request

Return the list of chargers for the given tenant

Security
bearerToken
Path
tenantstringrequired
curl -i -X GET \
  'https://docs.exolink.com/_mock/apis/exolink_api/tenant/{tenant}/charger' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of chargers

Bodyapplication/json
Array [
idinteger

Unique identifier for the charger

Example:1
tenantIdinteger

ID of the tenant that owns this charger

Example:1
profileIdinteger

ID of the configuration profile associated with this charger

Example:1
displayNamestring

User-friendly name for the charger

Example:"My Charger"
provisionedboolean

Indicates whether the charger has been discovered and configured

Default:false
Example:false
identitystring

Unique identity string used for OCPP communication

Example:"TEST"
chargeBoxSerialNumberstring

Serial number of the charge box hardware

Example:12345
chargePointSerialNumberstring

Serial number of the charge point

Example:12345
meterSerialNumberstring

Serial number of the integrated energy meter

chargePointModelstring

Model identifier of the charge point

Example:"KC-P30-EC2404B2-E00"
chargePointVendorstring

Manufacturer or vendor of the charge point

Example:"Keba AG"
firmwareVersionstring

Current firmware version running on the charger

Example:"1.0.0"
iccidstring

Integrated Circuit Card Identifier for the SIM card (if applicable)

imsistring

International Mobile Subscriber Identity for cellular connectivity (if applicable)

meterTypestring

Type or model of the energy meter

statusany

Current operational status of the charger

Enum:"BLOCKED""NONE"
createdAtstring

Timestamp when the charger record was created

Example:"2025-10-15T15:19:50.834Z"
updatedAtstring

Timestamp when the charger record was last updated

Example:"2025-10-15T15:19:50.834Z"
deletedAtstring

Timestamp when the charger record was soft-deleted (null if active)

Example:"2025-10-15T15:19:50.834Z"
profileNamestring

Name of the configuration profile associated with this charger

Example:"Loadtest Profile"
chargerConnectedboolean

Indicates whether the charger is currently connected to the platform

cpmsConnectedboolean

Indicates whether the charger is currently connected to the CPMS backend

cpmsNamestring

Name(s) of the CPMS backend(s) this charger is connected to

Example:"MyCPMS"
cpmsUrlstring

WebSocket URL(s) of the CPMS backend(s) this charger is connected to

Example:"wss://cpms.exolink.com"
]
Response
{ "$ref": "#/components/examples/ChargerList" }